/*  1. (Aufgabe vom Thema Schleifen erweitert:)
In einem Geschäft wurden bestimmte Artikel mit bestimmten Preisen verkauft.
Lesen Sie die Artikelbezeichnungen, die Preise und die jeweils verkaufte
Stückzahl ein. Die Eingabe ist zu beenden, wenn ein Wert <= 0 eingegeben wird!
Geben Sie alles als Tabelle aus! Welcher Artikel wurde am meisten verkauft?
Beachten Sie: es könnten mehrere mit gleichen Verkaufszahlen sein!
-----------------------------------------------------------------------------*/
#include <stdlib.h>
#define nmax 100
int main()
{ int anzahl[nmax], i, n, maxverkauft;
  float preis[nmax];     char name[nmax][15];
  i= -1; maxverkauft=0;
  printf("\n Tagesumsatz: ");
  do
  {  i++;
     printf("\n Preis des %i. Artikels: ", i+1);
     scanf("%f", &preis[i]);
     if( preis[i]>0)
     {  printf(" verkauft: ");
        scanf("%i", &anzahl[i]);
        if( anzahl[i]>0 )
        {  printf(" Bezeichnung: ");
           scanf("%s", name[i]);

           if( maxverkauft< anzahl[i]) maxverkauft= anzahl[i];
        }
     }
  }while( preis[i]>0 && anzahl[i]>0 && i<nmax);
  n= i;
  printf("\n Artikelbezeichnung Preis Verkaufszahl");
  for( i=0; i<n; i++)printf("\n%-10s %13.2f %3i", name[i], preis[i], anzahl[i]);

  printf("\n\n Hoechste Verkaufszahl bei %i Artikeln war %i:", n, maxverkauft);
  for( i=0; i<n; i++)if( anzahl[i]==maxverkauft) printf("\n%-10s %13.2f %3i",
                                                  name[i], preis[i], anzahl[i]);

  printf("\n\n");   system("PAUSE");   return 0;
}
